# sc::AlgorithmException Class Reference

This exception is thrown whenever a problem with an algorithm is encountered. More...

`#include <scexception.h>`

Inheritance diagram for sc::AlgorithmException:

List of all members.

## Public Member Functions
| AlgorithmException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="AlgorithmException") throw ()
| AlgorithmException (const AlgorithmException &) throw ()

## Detailed Description

This exception is thrown whenever a problem with an algorithm is encountered.

The documentation for this class was generated from the following file:

- scexception.h